EDL support
Decoding of multimedia streams

EDL support. More...

## Data Structures

struct | bgav_edl_segment_t
| One segment of a physical stream to appear in a logical stream. More...
struct | bgav_edl_stream_t
| A locical stream. More...
struct | bgav_edl_track_t
| A locical track. More...
struct | bgav_edl_s
| EDL structure. More...

## Typedefs

typedef struct bgav_edl_s | bgav_edl_t
| Forward declaration. More...

## Functions

BGAV_PUBLIC bgav_edl_t * | bgav_get_edl (bgav_t *bgav)
| Get an EDL from an open decoder. More...
BGAV_PUBLIC void | bgav_edl_dump (const bgav_edl_t *e)
| Dump an EDL to stderr. More...

## Detailed Description

EDL support.

Most media files contain one or more A/V streams. In addition however, there can be additional instructions, how the media should be played back. Basically you can have "logical" streams, where the EDL tells how they are composed from phyiscal streams.

To use EDLs with Gmerlin-avdecoder, call bgav_get_edl, make a local copy of the EDL structure and call bgav_close.

Some files contain only the EDL (with external references) but no actual media streams. In this case, bgav_num_tracks will return 0.

Gmerlin-avdecoder has no means of composing the logical EDL tracks from physical files. The Gmerlin library has an edl decoder plugin.

## Typedef Documentation

typedef struct bgav_edl_s bgav_edl_t

Forward declaration.

## Function Documentation

BGAV_PUBLIC bgav_edl_t* bgav_get_edl | ( | bgav_t * | bgav | ) |

Get an EDL from an open decoder.

Parameters

  bgav | A decoder instance

Returns
  The edl or NULL

BGAV_PUBLIC void bgav_edl_dump | ( | const bgav_edl_t * | e | ) |

Dump an EDL to stderr.

Parameters

  e | EDL